RHSA-2026:30085 — Security Advisory

Red Hat Security Advisory: perl-IO-Compress security update

Loading…

Severity

Important

Red Hat Product Security

RHEL 9

Products

Official CSAF product identity

Published · June 26, 2026

Updated · August 5, 2026

Topic

An update for perl-IO-Compress is now available for Red Hat Enterprise Linux 9.6 Extended Update Support.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Description

This distribution provides a Perl interface to allow reading and writing of compressed data created with the zlib and bzip2 libraries. IO-Compress supports reading and writing of bzip2, RFC 1950, RFC 1951, RFC 1952 (i.e. gzip) and zip files/buffers. The following modules used to be distributed separately, but are now included with the IO-Compress distribution:

  • Compress-Zlib
  • IO-Compress-Zlib
  • IO-Compress-Bzip2
  • IO-Compress-Base

Security Fix(es):

  • perl-IO-Compress: perl-IO-Compress: Arbitrary code execution via attacker-controlled output glob (CVE-2026-48962)

For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Related CVEs

RHSA-2026:30085 — Red Hat Security Advisory: perl-IO-Compress security update | PulseLinux